# CSS Regression tests for frontend

The CSS regression covers pages by taking and comparing pictures, thus it checks if the elements are different of what they suppose to be for the end user in different browsers and resolutions.

## Package

The package is a wrap of another package called **differencify** which can be reached here: https://github.com/NimaSoroush/differencify/

## Installing it

`npm install --save css-regression`

## Using it

~~~javascript 
// Import
const regression = require("css-regression")

// Take pictures of all devices listed
const css = () => {
    // Take pictures for all pre-defined devices
    regression.queueAll("<url to be defined>")

    // Execute
    regression.execute()
}

css()
~~~
