'use strict'

const config = {
    headless: false,
    ignoreHTTPSErrors: true,
    waitUntil: ['load', 'networkidle0'],
    args: ['--disable-dev-shm-usage', '--no-sandbox', '--disable-setuid-sandbox']
};
const desktop = {
	'name': 'Chrome Desktop',
    'userAgent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36',
    'viewport': {
      'width': 1440,
      'height': 960,
      'deviceScaleFactor': 1,
      'isMobile': false,
      'hasTouch': false,
      'isLandscape': false
	}
};
// Other devices
const device = require('puppeteer/DeviceDescriptors');
const ipad = device['iPad'];
const iphone = device['iPhone 5'];
const android = device['Galaxy S5'];

module.exports = {
    config: config,
    desktop: desktop,
    ipad: ipad,
    iphone: iphone,
    android: android
};